Bug 1859929 - User can perform other manifest actions while the first one starts
Summary: User can perform other manifest actions while the first one starts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.8.0
Hardware: All
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-23 10:33 UTC by Ranjan Kumar
Modified: 2020-10-27 13:04 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30591 0 Normal Closed User can perform other manifest actions while the first one starts 2020-10-28 17:44:43 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:04:41 UTC

Description Ranjan Kumar 2020-07-23 10:33:30 UTC
Description of problem: Progress bar window takes long time to appear during new manifest upload. User can click and upload multiple time same manifest until progress window appear.


Version-Release number of selected component (if applicable): Satellite 6.8 beta


How reproducible: Always


Steps to Reproduce:
1. Go to Content -> Subscripton
2. Click on Import a manifest. choose a file and upload
3. Progress bar takes time to come up

Actual results: User can click and upload manifest multiple time


Expected results: Progress bar window should appear quickly


Additional info:

Comment 3 Jonathon Turel 2020-08-07 16:07:38 UTC
Created redmine issue https://projects.theforeman.org/issues/30591 from this bug

Comment 4 Bryan Kearney 2020-08-13 20:04:39 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30591 has been resolved.

Comment 8 Cole Higgins 2020-09-11 18:24:31 UTC
Verified in 6.8 snap 14

There is no longer a delay between the manifest modal and the progress bar

Steps to Reproduce:

Steps to Reproduce:
1. Go to Content -> Subscripton
2. Click on Import a manifest. choose a file and upload
3. Progress bar takes time to come up

Expected Results:
There is no delay between the manifest modal and progress bar when performing a manifest action. 

Actual Results:
There is no delay between the manifest modal and progress bar when performing a manifest action.

Comment 12 errata-xmlrpc 2020-10-27 13:04:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.